# Interface Index

public interface Index
Interface that acts as an iterator for deserializing maps. The deserializer returns an instance that the record uses to read vectors and maps. An example of usage is as follows: `Index idx = startVector(...); while (!idx.done()) { .... // read element of a vector idx.incr(); }`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`done()`
`void`
`incr()`

## Method Details

### done

boolean done()

### incr

void incr()